libcamera (0.3.1+rpt20240906-1) bookworm; urgency=medium

  * New upstream version 0.3.1+rpt20240906

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Sep 2024 15:09:51 +0100

libcamera (0.3.1+rpt20240829-1) bookworm; urgency=medium

  * New upstream version 0.3.1+rpt20240829

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 29 Aug 2024 17:40:18 +0100

libcamera (0.3.0+rpt20240617-1) bookworm; urgency=medium

  * New upstream version 0.3.0+rpt20240617
  * Bump SONAME to libcamera0.3

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 17 Jun 2024 11:44:51 +0100

libcamera (0.2.0+rpt20240418-1) bookworm; urgency=medium

  * New upstream version 0.2.0+rpt20240418

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 18 Apr 2024 14:26:21 +0100

libcamera (0.2.0+rpt20240215-1) bookworm; urgency=medium

  * New upstream version 0.2.0+rpt20240215
  * d/gbp.conf: Update branches and use pristine-tar
  * d/watch: Use the Raspberry Pi Github releases
  * d/c: Update Maintainer and Vcs information
  * d/c: Add libpisp-dev as a build dependency on ARM platforms
  * d/c: Add libboost-dev as a build dependency
  * d/c: Add libcamera-ipa as a runtime dependency
  * d/c: Replace all versions of libcamera0
  * d/p: remove skip_failing_tests.patch
  * Fix pycamera install path

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 16 Feb 2024 16:04:17 +0000

libcamera (0.2.0-2) unstable; urgency=medium

  * Upload to unstable
  * Bump minimum meson to 0.60

 -- Dylan Aïssi <daissi@debian.org>  Mon, 22 Jan 2024 10:14:34 +0100

libcamera (0.2.0-1) experimental; urgency=medium

  * New upstream version 0.2.0
  * Bump SONAME to libcamera0.2
  * Don't move doc during dh_install if the nodoc profile is set
     (Closes: #1051195)
  * Drop patch included in upstream release
  * Mark python3-libcamera as Multi-Arch: same
  * Update debian/copyright
  * Add libdrm-dev in Build-Deps, it was already pulled by dependencies

 -- Dylan Aïssi <daissi@debian.org>  Wed, 10 Jan 2024 10:41:31 +0100

libcamera (0.1.0-3) unstable; urgency=medium

  * Cherry-pick upstream patch fixing build with sphinx 7 (Closes: #1042634)
  * Disable again doxygen-latex in Build-Deps for sh4 to help apt choose
     the alternative.

 -- Dylan Aïssi <daissi@debian.org>  Tue, 01 Aug 2023 12:14:41 +0200

libcamera (0.1.0-2) unstable; urgency=medium

  * Only make the tests fail for key architectures: amd64 arm64 armhf
  * Add texlive-latex-extra as alternative to doxygen-latex in Build-deps
  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Jul 2023 11:11:04 +0200

libcamera (0.1.0-1) experimental; urgency=medium

  * New upstream version 0.1.0
  * Bump SONAME to libcamera0.1
  * Build python bindings:
      - New binary package: python3-libcamera
      - New Build-Deps: libpython3-dev and python3-pybind11
  * Move v4l2-compat.so from usr/lib/*/ to usr/lib/*/libcamera/
  * Install ipa_verify and use it to check IPA signatures
  * Verify modules signatures after resigning
  * Add new test verifying the signature of IPA modules
  * Disable doxygen-latex in Build-Deps for sh4
  * Disable scan of git HEAD in the watch file to avoid confusing
      tracker.debian.org
  * Refresh debian/patches/ppc64el-fix-ftbfs-gcc.patch
  * Drop debian/libcamera-v4l2.lintian-overrides, no longer required
  * Disable reprotest on salsa-ci
  * Refresh debian/copyright

 -- Dylan Aïssi <daissi@debian.org>  Mon, 17 Jul 2023 14:49:07 +0200

libcamera (0.0.5-2) unstable; urgency=medium

  * Upload to unstable

 -- Dylan Aïssi <daissi@debian.org>  Fri, 16 Jun 2023 15:52:08 +0200

libcamera (0.0.5-1) experimental; urgency=medium

  * New upstream version 0.0.5
  * Bump SONAME to libcamera0.0.5

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 May 2023 17:40:02 +0200

libcamera (0.0.4-3) experimental; urgency=medium

  [ George Kiagiadakis ]
  * Add rule to re-sign the IPA modules after dh_strip

  [ Andrej Shadura ]
  * Use the DEB_HOST_GNU_TYPE for the build directory

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Mar 2023 17:45:53 +0100

libcamera (0.0.4-2) experimental; urgency=medium

  * Skip more tests

 -- Dylan Aïssi <daissi@debian.org>  Tue, 14 Feb 2023 12:56:16 +0100

libcamera (0.0.4-1) experimental; urgency=medium

  * New upstream version 0.0.4
  * Bump SONAME to libcamera0.0.4
  * Add superficial tests
  * Don't ignore tests failures at build time (Closes: #1024782)
  * Upload to experimental because of the current Bookworm freeze

 -- Dylan Aïssi <daissi@debian.org>  Wed, 01 Feb 2023 22:02:03 +0100

libcamera (0.0.3-6) unstable; urgency=medium

  * Use the DEB_HOST_GNU_TYPE for the build directory.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 06 Mar 2023 10:40:47 +0100

libcamera (0.0.3-5) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Add superficial tests.
  * Add allow-stderr for tests.

  [ George Kiagiadakis ]
  * Add rule to re-sign the IPA modules after dh_strip.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 06 Mar 2023 09:45:00 +0100

libcamera (0.0.3-4) unstable; urgency=medium

  * Add doxygen-latex in Build-Deps
  * Add libgstreamer1.0-dev in Build-Deps
  * Drop libboost-dev from Build-Deps, not needed anymore
  * libcamera0.0.3: add libcamera-ipa in Suggests

 -- Dylan Aïssi <daissi@debian.org>  Tue, 24 Jan 2023 21:36:29 +0100

libcamera (0.0.3-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dylan Aïssi <daissi@debian.org>  Sat, 31 Dec 2022 15:09:27 +0100

libcamera (0.0.3-2) experimental; urgency=medium

  * Drop symbols file, not very useful because symbols are changing too
    quickly. And because of the very active development, upstream bumps
    SONAME for each release. Let's wait until upstream has stabilized
    the libcamera API before reintroducing this symbols file.
  * Standards-Version: 4.6.2 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Dec 2022 22:18:01 +0100

libcamera (0.0.3-1) experimental; urgency=medium

  * New upstream version 0.0.3
  * Bump SONAME to libcamera0.0.3
  * Move the GStreamer plugin into its own package
  * Move the v4l2 module into its own package
  * Move the IPA modules into their own package
  * Install *.so.sign files with libraries
  * Add myself in Uploaders
  * Update copyright file

 -- Dylan Aïssi <daissi@debian.org>  Fri, 23 Dec 2022 23:56:04 +0100

libcamera (0.0.2-2) unstable; urgency=medium

  * Update symbols file for x32

 -- Dylan Aïssi <daissi@debian.org>  Wed, 14 Dec 2022 17:54:17 +0100

libcamera (0.0.2-1) unstable; urgency=medium

  * Team upload.

  [ Dylan Aïssi ]
  * New upstream version 0.0.2
  * Update symbols file
  * Update lintian-overrides
  * Standards-Version: 4.6.1 (no changes needed)
  * Update debian/copyright
  * Ignore failures in dh_auto_test for now

  [ Sebastien Bacher ]
  * Improve lintian-overrides (Closes: #1024803)
  * Refresh debian/copyright
  * debian/rules: enable the upstream tests as part of the build

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 09 Dec 2022 10:59:05 +0100

libcamera (0.0.1-4) unstable; urgency=medium

  * Mark liblttng-ust-dev and libudev-dev as linux-only, add more optional
    dependencies.
  * Don’t install documentation with libcamera0 (Closes: #1022572).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 26 Oct 2022 18:44:01 +0200

libcamera (0.0.1-3) unstable; urgency=medium

  * Use wildcards and arch-specific symbols.
  * Fix the syntax of the symbols file.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Oct 2022 22:58:29 +0100

libcamera (0.0.1-2) unstable; urgency=medium

  * Add the missing build dependency on libyaml-dev.
  * Bump meson dependency.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Oct 2022 14:14:02 +0100

libcamera (0.0.1-1) unstable; urgency=medium

  * New upstream release (Closes: #962650).
  * Update debian/copyright.
  * Update the patch.
  * Update debian/watch.
  * Rename the doc directory manually instead of using dh-exec, drop
    dh-exec build dependency.
  * Bring back and refresh the symbols file.
  * Disable verbose build logs by default.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 19 Oct 2022 14:00:31 +0100

libcamera (0~git20211108+1b30992b623e-5) unstable; urgency=medium

  * Team upload.

  [ Olivier Gayot ]
  * Add patch that fixes FTBFS on ppc64el + GCC (Closes: #1021544, LP: #1992331)

 -- Benjamin Drung <bdrung@debian.org>  Wed, 12 Oct 2022 11:43:40 +0200

libcamera (0~git20211108+1b30992b623e-4) unstable; urgency=medium

  [ Christopher Obbard ]
  * Don't treat compilation warnings as errors (Closes: #1012786).

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Tue, 14 Jun 2022 14:07:18 +0200

libcamera (0~git20211108+1b30992b623e-3) unstable; urgency=medium

  [ Andrej Shadura ]
  * Add upstream metadata.

  [ Dorota Czaplejewicz ]
  * Remove soname patch as the upstream already sets it.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Wed, 10 Nov 2021 12:55:10 +0100

libcamera (0~git20211108+1b30992b623e-2) unstable; urgency=medium

  * Add missing Python build dependencies.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Wed, 10 Nov 2021 12:34:27 +0100

libcamera (0~git20211108+1b30992b623e-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop patch applied upstream, refresh the remaining one.
  * Update copyrights.
  * Update build dependencies.
  * Update install lists for the new ipa_proxy binary name.
  * Install v4l2-compat.so into the non-dev package.
  * Update standards version to 4.6.0, no changes needed.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Tue, 09 Nov 2021 18:17:51 +0100

libcamera (0~git20200629+e7aa92a-8) unstable; urgency=medium

  * Explicitly not install *.so.sign — or maybe we should?
  * Support nodoc build profile.
  * Add the missing doxygen dependency.
  * Add openssl as an explicit dependency.

 -- Andrej Shadura <andrew.shadura@collabora.co.uk>  Sun, 21 Feb 2021 15:51:17 +0100

libcamera (0~git20200629+e7aa92a-7) unstable; urgency=medium

  [ You-Sheng Yang ]
  * debian: build with v4l2.
  * debian: build gstlibcamera.
  * debian: move documentation into libcamera-doc.
  * debian: lintian: fix embedded-javascript-library.
  * lintian: override repeated-path-segment warnings.
  * debian: fix spelling error.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Bump dh-compat to 13.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 19 Oct 2020 15:32:04 +0200

libcamera (0~git20200629+e7aa92a-6) unstable; urgency=medium

  * Stop shipping this symbols file, the symbols change all the time
    depending on the architecture and the compiler version.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Jul 2020 12:09:02 +0200

libcamera (0~git20200629+e7aa92a-5) unstable; urgency=medium

  * Fix the symbol file syntax.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Jul 2020 11:26:33 +0200

libcamera (0~git20200629+e7aa92a-4) unstable; urgency=medium

  * Add wildcards for std::* and boost::* to the symbols file.
  * Install ipa_proxy_linux into a multiarch directory.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 12 Jul 2020 11:13:16 +0200

libcamera (0~git20200629+e7aa92a-3) unstable; urgency=medium

  * Allow actual pkg-config to be used as, well, pkg-config.
  * Add libcamera0.symbols, probably not very useful right now.
  * Install more files for libcamera0.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 30 Jun 2020 18:12:32 +0200

libcamera (0~git20200629+e7aa92a-2) unstable; urgency=medium

  * Depend on a pkg-config implementation (Really closes: #959853).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 30 Jun 2020 16:20:56 +0200

libcamera (0~git20200629+e7aa92a-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #962274).
  * Update patches.
  * Update debian/copyright.
  * Update build dependencies enabling qcam to be built (Closes: #959853).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 30 Jun 2020 15:41:29 +0200

libcamera (0~git20200513+924778e-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: added libboost-dev to Build-Depends field to avoid a FTBFS.
    Thanks to Logan Rosen <logan@ubuntu.com>. (Closes: #960758)

 -- Luis Paulo Linares <lpfllinares@gmail.com>  Tue, 09 Jun 2020 13:08:13 -0300

libcamera (0~git20200513+924778e-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update copyrights.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 15 May 2020 16:24:53 +0200

libcamera (0~git20200417+35269f0-2) unstable; urgency=medium

  * Update d/copyright
    * Add GPL-2 license
    * Use "Comment" for note about where to find licenses on "Debian systems"
    * Regenerate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 19 Apr 2020 16:22:23 +0200

libcamera (0~git20200417+35269f0-1) unstable; urgency=medium

  * New upstream version 0~git20200417+35269f0
    * Refresh patches
  * B-D un gnutls-dev
  * Add patch take return value of write() into account
  * Add patch to fix spelling errors
  * Enable hardening
  * Move "libcamera-tools" into section "video" (Closes: 956720)
  * Make build reproducible.
    Thanks to Chris Lamb <lamby@debian.org> (Closes: #956304)
  * Declare that building this package does not require 'root' powers.
  * Update d/copyright
    * Rearrange d/copyright paragraphs
    * Add 'licensecheck' target
    * Generate d/copyright_hints
    * Add myself to copyright holders
  * Bump standards version to 4.5.0

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sat, 18 Apr 2020 23:28:05 +0200

libcamera (0~git20200116+30f9624-1) unstable; urgency=medium

  * Initial release (Closes: #930456).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 22 Feb 2020 19:57:58 +0200
